Bug 690026 - Review Request: libfreenect - Open device driver for the Kinect
Review Request: libfreenect - Open device driver for the Kinect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 725129
  Show dependency treegraph
 
Reported: 2011-03-23 00:23 EDT by Rich Mattes
Modified: 2012-09-18 16:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 16:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2011-03-23 00:23:50 EDT
Spec URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect-0-0.1.687b2da5git.fc15.src.rpm
Description: 
libfreenect is a free and open source library that provides access to the
Kinect device.  Currently, the library supports the RGB webcam, the depth
image, the LED, and the tilt motor.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2935127

Rpmlint:
$ rpmlint libfreenect.spec ../RPMS/x86_64/libfreenect*
libfreenect.spec: W: invalid-url Source0: libfreenect-687b2da5.tar.bz2
 - OK, taken from a git snapshot
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
 - OK, "webcam" is a common spelling
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
- OK, project does not provide manpages
libfreenect-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
- I think this is OK, it's part of the python bindings
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
- Both depend on packages with documentation
5 packages and 1 specfiles checked; 0 errors, 10 warnings.
Comment 1 Rich Mattes 2011-05-24 00:36:05 EDT
Updated to newer git snapshot

Spec URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect.spec
SRPM URL:
http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect-0-0.2.4a159fgit.fc15.src.rpm 

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3088411

rpmlint:
$ rpmlint libfreenect.spec ../RPMS/x86_64/libfreenect*
libfreenect.spec: W: invalid-url Source0: libfreenect-4a159f.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 10 warnings.
Comment 2 Ralf Corsepius 2011-05-24 01:31:34 EDT
Building doesn't honor RPM_OPT_FLAGS:

From build.log:
...
cd /builddir/build/BUILD/libfreenect/src && /usr/lib64/ccache/gcc  -Dfreenect_EXPORTS -Wall -fPIC -I/builddir/build/BUILD/libfreenect/include -I/builddir/build/BUILD/libfreenect/src   -Wall -o CMakeFiles/freenect.dir/tilt.c.o   -c /builddir/build/BUILD/libfreenect/src/tilt.c
...
Comment 3 Rich Mattes 2011-05-24 17:30:15 EDT
Thanks for catching that, I found what was causing it.  New spec and SRPM at:

Spec URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect.spec
SRPM URL:
http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect-0-0.3.4a159fgit.fc15.src.rpm 

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3090221

rpmlint:
$ rpmlint libfreenect.spec ../RPMS/x86_64/libfreenect*
libfreenect.spec: W: invalid-url Source0: libfreenect-4a159f.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 10 warnings.
Comment 4 Ozan Çağlayan 2012-04-26 15:20:00 EDT
Is there any progress on this package review?
Comment 5 Rich Mattes 2012-04-27 00:28:06 EDT
I'm still interested in maintaining this package, but nobody has picked up the review and I haven't done a great job getting someone to look at it.

At this point the package above is pretty old.  I'm currently working on packaging the 0.1.2 upstream release, and should have a new spec and srpm over the weekend for consideration.
Comment 6 Rich Mattes 2012-04-27 19:05:00 EDT
Updated packages:

Spec URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect.spec
SRPM URL:
http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect-0.1.2-1.fc16.src.rpm 

rpmlint:
$ rpmlint libfreenect.spec ../RPMS/x86_64/libfreenect-*
libfreenect.spec: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: non-etc-or-var-file-marked-as-conffile /lib/udev/rules.d/51-kinect.rules
libfreenect.x86_64: E: non-executable-script /usr/share/libfreenect/fwfetcher.py 0644L /usr/bin/env
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-regview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-wavrecord
libfreenect.x86_64: W: no-manual-page-for-binary freenect-record
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-micview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US kinect -> kine ct, kine-ct, kinetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US freenect -> frenetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
libfreenect-fakenect.x86_64: W: no-documentation
libfreenect-fakenect.x86_64: W: no-manual-page-for-binary fakenect
libfreenect-opencv.x86_64: W: no-documentation
libfreenect-opencv.x86_64: W: no-manual-page-for-binary freenect-cvdemo
libfreenect-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
7 packages and 1 specfiles checked; 1 errors, 22 warnings.
Comment 7 Ankur Sinha (FranciscoD) 2012-08-07 01:00:30 EDT
Hi Rich,

I'm interested in using libfreenect for my research. I'd be really glad to be able to install it using yum. Are you still interested in maintaining the package? Let me know and I'll begin a review. If you aren't interested in maintaining it, I can package it myself (I'm a fedora package maintainer already).

FAS: ankursinha

Thanks,
Ankur
Comment 8 Rich Mattes 2012-08-07 20:01:44 EDT
Hi,

I'm still interested in maintaining this package for Fedora.  I'm more than happy to work through the review.
Comment 9 Ankur Sinha (FranciscoD) 2012-08-08 04:44:07 EDT
Taking over review. Will submit one shortly.
Comment 10 Ankur Sinha (FranciscoD) 2012-08-08 08:05:22 EDT
[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[?] License field in spec matches
[?] License file included in package
[ankur@ankur libfreenect]$ find . -name "*" -execdir licensecheck '{}' \; | sed -e '/UNKNOWN/ d' -e '/GENERATED FILE/ d'
./Findlibusb-1.0.cmake: BSD (3 clause)
./LICENSE.txt: MIT/X11 (BSD like)
[ankur@ankur libfreenect]$

Are you sure of the License? The spec says GPL or ASL.

[+] Spec in American English
[+] Spec is legible.
[?] Sources match upstream md5sum:
Will it make sense to use a tagged download instead? When the git head changes, one cannot get the same source using the script. 

https://github.com/OpenKinect/libfreenect/tags

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

[+] Headers/static libs in -devel subpackage.
[+] Spec has needed ldconfig in post and postun
[+] .pc files in -devel subpackage/requires pkgconfig
[?] .so files in -devel subpackage.
One .so is in -python

[+] -devel package Requires: %{name} = %{version}-%{release}
[+] .la files are removed.
Are the .a files and the static package really necessary?

[-] Package is a GUI app and has a .desktop file

[+] Package compiles and builds on at least one arch.
Builds on mock for rawhide x86_64

[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.
[?] No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint libfreenect-0.1.2-1.fc16.src.rpm
/var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ../SPECS/libfreenect.spec
libfreenect.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.src: W: strange-permission freenect_generate_tarball.sh 0775L
libfreenect.src: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became 
libfreenect.src: W: strange-permission freenect_generate_tarball.sh 0775L
libfreenect.src: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: non-etc-or-var-file-marked-as-conffile /lib/udev/rules.d/51-kinect.rules
libfreenect.x86_64: E: non-executable-script /usr/share/libfreenect/fwfetcher.py 0644L /usr/bin/env
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-regview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-wavrecord
libfreenect.x86_64: W: no-manual-page-for-binary freenect-record
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-micview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US kinect -> kine ct, kine-ct, kinetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US freenect -> frenetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
libfreenect-fakenect.x86_64: W: no-documentation
libfreenect-fakenect.x86_64: W: no-manual-page-for-binary fakenect
libfreenect-opencv.x86_64: W: no-documentation
libfreenect-opencv.x86_64: W: no-manual-page-for-binary freenect-cvdemo
libfreenect-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
../SPECS/libfreenect.spec: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
9 packages and 1 specfiles checked; 1 errors, 28 warnings.
[ankur@ankur SRPMS]$

The non executable script needs to be corrected.

You also need to handle the private shared object provides:
libfreenect-python.x86_64: W: private-shared-object-provides
/usr/lib64/python2.7/site-packages/freenect.so freenect.so()(64bit)
A shared object soname provides is provided by a file in a path from which
other packages should not directly load shared objects from.  Such shared
objects should thus not be depended on and they should not result in provides
in the containing package.  Get rid of the provides if appropriate, for
example by filtering it out during build.  Note that in some cases this may
require disabling rpmbuild's internal dependency generator.

[?] final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm [-]qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

Looks okay, other than the one shared object I've mentioned above. 

== libfreenect-0.1.2-1.fc18.src.rpm ==
Provides:

Requires:
cmake
Cython
doxygen
freeglut-devel
libusb1-devel
libGL-devel
libXi-devel
libXmu-devel
numpy
opencv-devel
python-devel

== libfreenect-0.1.2-1.fc18.x86_64.rpm ==
Provides:
config(libfreenect) = 0.1.2-1.fc18
libfreenect = 0.1.2-1.fc18
libfreenect(x86-64) = 0.1.2-1.fc18
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)

Requires:
/sbin/ldconfig
/sbin/ldconfig
config(libfreenect) = 0.1.2-1.fc18
libGL.so.1()(64bit)
libGLU.so.1()(64bit)
libICE.so.6()(64bit)
libSM.so.6()(64bit)
libX11.so.6()(64bit)
libXext.so.6()(64bit)
libXi.so.6()(64bit)
libXmu.so.6()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.2)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libglut.so.3()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libusb-1.0.so.0()(64bit)
rtld(GNU_HASH)
udev

== libfreenect-debuginfo-0.1.2-1.fc18.x86_64.rpm ==
Provides:
libfreenect-debuginfo = 0.1.2-1.fc18
libfreenect-debuginfo(x86-64) = 0.1.2-1.fc18

Requires:

== libfreenect-devel-0.1.2-1.fc18.x86_64.rpm ==
Provides:
libfreenect-devel = 0.1.2-1.fc18
libfreenect-devel(x86-64) = 0.1.2-1.fc18
pkgconfig(libfreenect) = 0.1

Requires:
/usr/bin/pkg-config
libfreenect(x86-64) = 0.1.2-1.fc18
libfreenect.so.0.1()(64bit)
libfreenect_cv.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
pkgconfig(libusb-1.0)

== libfreenect-fakenect-0.1.2-1.fc18.x86_64.rpm ==
Provides:
libfreenect-fakenect = 0.1.2-1.fc18
libfreenect-fakenect(x86-64) = 0.1.2-1.fc18
libfreenect.so.0.1()(64bit)

Requires:
/bin/bash
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libfreenect(x86-64) = 0.1.2-1.fc18
rtld(GNU_HASH)

== libfreenect-opencv-0.1.2-1.fc18.x86_64.rpm ==
Provides:
libfreenect-opencv = 0.1.2-1.fc18
libfreenect-opencv(x86-64) = 0.1.2-1.fc18
libfreenect_cv.so.0.1()(64bit)

Requires:
/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libfreenect(x86-64) = 0.1.2-1.fc18
libfreenect.so.0.1()(64bit)
libfreenect_cv.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libopencv_calib3d.so.2.4()(64bit)
libopencv_contrib.so.2.4()(64bit)
libopencv_core.so.2.4()(64bit)
libopencv_features2d.so.2.4()(64bit)
libopencv_flann.so.2.4()(64bit)
libopencv_gpu.so.2.4()(64bit)
libopencv_highgui.so.2.4()(64bit)
libopencv_imgproc.so.2.4()(64bit)
libopencv_legacy.so.2.4()(64bit)
libopencv_ml.so.2.4()(64bit)
libopencv_nonfree.so.2.4()(64bit)
libopencv_objdetect.so.2.4()(64bit)
libopencv_photo.so.2.4()(64bit)
libopencv_stitching.so.2.4()(64bit)
libopencv_ts.so.2.4()(64bit)
libopencv_video.so.2.4()(64bit)
libopencv_videostab.so.2.4()(64bit)
libusb-1.0.so.0()(64bit)
rtld(GNU_HASH)

== libfreenect-python-0.1.2-1.fc18.x86_64.rpm ==
Provides:
freenect.so()(64bit)
libfreenect-python = 0.1.2-1.fc18
libfreenect-python(x86-64) = 0.1.2-1.fc18

Requires:
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libfreenect(x86-64) = 0.1.2-1.fc18
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libusb-1.0.so.0()(64bit)
python(abi) = 2.7
rtld(GNU_HASH)

== libfreenect-static-0.1.2-1.fc18.x86_64.rpm ==
Provides:
libfreenect-static = 0.1.2-1.fc18
libfreenect-static(x86-64) = 0.1.2-1.fc18

Requires:
libfreenect-devel(x86-64) = 0.1.2-1.fc18

[ankur@ankur result]$

SHOULD Items:

[+] Should build in mock.
[-] Should build on all supported archs
[-] Should function as described.
[+] Should have sane scriptlets.
[+] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:
1. License
2. Source
3. Shared object + provides
4. Non executable script
Comment 11 Rich Mattes 2012-08-14 20:29:51 EDT
License:

According to the README, the license is dual licensed between apache and gpl, and the following header is included at the top of each source file:

/*
 * This file is part of the OpenKinect Project. http://www.openkinect.org
 *
 * Copyright (c) 2010 individual OpenKinect contributors. See the CONTRIB file
 * for details.
 *
 * This code is licensed to you under the terms of the Apache License, version
 * 2.0, or, at your option, the terms of the GNU General Public License,
 * version 2.0. See the APACHE20 and GPL2 files for the text of the licenses,
 * or the following URLs:
 * http://www.apache.org/licenses/LICENSE-2.0
 * http://www.gnu.org/licenses/gpl-2.0.txt
 *
 * If you redistribute this file in source form, modified or unmodified, you
 * may:
 *   1) Leave this header intact and distribute it under the same terms,
 *      accompanying it with the APACHE20 and GPL20 files, or
 *   2) Delete the Apache 2.0 clause and accompany it with the GPL2 file, or
 *   3) Delete the GPL v2 clause and accompany it with the APACHE20 file
 * In all cases you must keep the copyright notice intact and include a copy
 * of the CONTRIB file.
 *
 * Binary distributions must follow the binary distribution requirements of
 * either License.
 */

Source:
The freenect-generate-tarball.sh script is checking out a version tag.  I wrote that before the wget --content-disposition thread started circulating the fedora-devel list.  I could do that, but there still needs to be a script that will generate the contrib file and remove the windows and mac os binaries.

Shared object + provides:
Fixed.

Non-executable script:
The fwfetcher.py script goes off and grabs a firmware update from microsoft, and then strips out the audio firmware.  I included the file as a convenience, but I removed the hashbang.

New files:
Spec URL: http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect.spec
SRPM URL:
http://rmattes.fedorapeople.org/RPMS/libfreenect/libfreenect-0.1.2-2.fc17.src.rpm 


rpmlint:
$ rpmlint libfreenect.spec ../RPMS/x86_64/libfreenect-*
libfreenect.spec: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-regview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-wavrecord
libfreenect.x86_64: W: no-manual-page-for-binary freenect-record
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-micview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US kinect -> kine ct, kine-ct, kinetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US freenect -> frenetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
libfreenect-fakenect.x86_64: W: no-documentation
libfreenect-fakenect.x86_64: W: no-manual-page-for-binary fakenect
libfreenect-opencv.x86_64: W: no-documentation
libfreenect-opencv.x86_64: W: no-manual-page-for-binary freenect-cvdemo
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
7 packages and 1 specfiles checked; 0 errors, 20 warnings.
Comment 12 Ankur Sinha (FranciscoD) 2012-08-29 23:46:17 EDT
Looks good:

[ankur@ankur result]$ review-req-check
== libfreenect-0.1.2-2.fc19.src.rpm ==
Provides:

Requires:
cmake
Cython
doxygen
freeglut-devel
libusb1-devel
libGL-devel
libXi-devel
libXmu-devel
numpy
opencv-devel
python-devel

== libfreenect-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect = 0.1.2-2.fc19
libfreenect(x86-64) = 0.1.2-2.fc19
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)

Requires:
udev
/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.2)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libGL.so.1()(64bit)
libGLU.so.1()(64bit)
libglut.so.3()(64bit)
libICE.so.6()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libSM.so.6()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libusb-1.0.so.0()(64bit)
libX11.so.6()(64bit)
libXext.so.6()(64bit)
libXi.so.6()(64bit)
libXmu.so.6()(64bit)
rtld(GNU_HASH)

== libfreenect-debuginfo-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-debuginfo = 0.1.2-2.fc19
libfreenect-debuginfo(x86-64) = 0.1.2-2.fc19

Requires:

== libfreenect-devel-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-devel = 0.1.2-2.fc19
libfreenect-devel(x86-64) = 0.1.2-2.fc19
pkgconfig(libfreenect) = 0.1

Requires:
libfreenect(x86-64) = 0.1.2-2.fc19
libfreenect_cv.so.0.1()(64bit)
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
pkgconfig(libusb-1.0)
/usr/bin/pkg-config

== libfreenect-fakenect-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-fakenect = 0.1.2-2.fc19
libfreenect-fakenect(x86-64) = 0.1.2-2.fc19
libfreenect.so.0.1()(64bit)

Requires:
libfreenect(x86-64) = 0.1.2-2.fc19
/bin/bash
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
rtld(GNU_HASH)

== libfreenect-opencv-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-opencv = 0.1.2-2.fc19
libfreenect-opencv(x86-64) = 0.1.2-2.fc19
libfreenect_cv.so.0.1()(64bit)

Requires:
libfreenect(x86-64) = 0.1.2-2.fc19
/sbin/ldconfig
/sbin/ldconfig
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libfreenect_cv.so.0.1()(64bit)
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libopencv_calib3d.so.2.4()(64bit)
libopencv_contrib.so.2.4()(64bit)
libopencv_core.so.2.4()(64bit)
libopencv_features2d.so.2.4()(64bit)
libopencv_flann.so.2.4()(64bit)
libopencv_gpu.so.2.4()(64bit)
libopencv_highgui.so.2.4()(64bit)
libopencv_imgproc.so.2.4()(64bit)
libopencv_legacy.so.2.4()(64bit)
libopencv_ml.so.2.4()(64bit)
libopencv_nonfree.so.2.4()(64bit)
libopencv_objdetect.so.2.4()(64bit)
libopencv_photo.so.2.4()(64bit)
libopencv_stitching.so.2.4()(64bit)
libopencv_ts.so.2.4()(64bit)
libopencv_video.so.2.4()(64bit)
libopencv_videostab.so.2.4()(64bit)
libusb-1.0.so.0()(64bit)
rtld(GNU_HASH)

== libfreenect-python-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-python = 0.1.2-2.fc19
libfreenect-python(x86-64) = 0.1.2-2.fc19

Requires:
libfreenect(x86-64) = 0.1.2-2.fc19
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libfreenect.so.0.1()(64bit)
libfreenect_sync.so.0.1()(64bit)
libusb-1.0.so.0()(64bit)
python(abi) = 2.7
rtld(GNU_HASH)

== libfreenect-static-0.1.2-2.fc19.x86_64.rpm ==
Provides:
libfreenect-static = 0.1.2-2.fc19
libfreenect-static(x86-64) = 0.1.2-2.fc19

Requires:
libfreenect-devel(x86-64) = 0.1.2-2.fc19


[ankur@ankur SRPMS]$ rpmlint libfreenect-0.1.2-2.fc17.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ../SPECS/libfreenect.spec
libfreenect.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.src: W: strange-permission freenect_generate_tarball.sh 0755L
libfreenect.src: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.src: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.src: W: strange-permission freenect_generate_tarball.sh 0755L
libfreenect.src: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
libfreenect.x86_64: W: spelling-error %description -l en_US webcam -> web cam, web-cam, became
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glpclview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-glview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-hiview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-regview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-wavrecord
libfreenect.x86_64: W: no-manual-page-for-binary freenect-record
libfreenect.x86_64: W: no-manual-page-for-binary freenect-cppview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-micview
libfreenect.x86_64: W: no-manual-page-for-binary freenect-tiltdemo
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US kinect -> kine ct, kine-ct, kinetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US freenect -> frenetic
libfreenect-fakenect.x86_64: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
libfreenect-fakenect.x86_64: W: no-documentation
libfreenect-fakenect.x86_64: W: no-manual-page-for-binary fakenect
libfreenect-opencv.x86_64: W: no-documentation
libfreenect-opencv.x86_64: W: no-manual-page-for-binary freenect-cvdemo
libfreenect-python.x86_64: W: no-documentation
libfreenect-static.x86_64: W: no-documentation
../SPECS/libfreenect.spec: W: invalid-url Source0: libfreenect-v0.1.2.tar.bz2
9 packages and 1 specfiles checked; 0 errors, 26 warnings.
[ankur@ankur SRPMS]$


++++ APPROVED ++++
Comment 13 Rich Mattes 2012-09-02 14:22:48 EDT
New Package SCM Request
=======================
Package Name: libfreenect
Short Description: Open device driver for the Kinect
Owners: rmattes
Branches: f16 f17 f18 el6
InitialCC:
Comment 14 Jon Ciesla 2012-09-02 20:05:21 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-09-02 21:01:30 EDT
libfreenect-0.1.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libfreenect-0.1.2-2.fc18
Comment 16 Fedora Update System 2012-09-03 13:20:26 EDT
libfreenect-0.1.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2012-09-18 16:01:36 EDT
libfreenect-0.1.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.